---
updatedAt: 2026-04-12T09:25:09.000Z
---

# Unassign items from a repricer strategy

Call this endpoint to unassign items from a repricer strategy.

> **Note**: This page describes examples using only the required parameters and inputs to unassign items from a repricer strategy. For a full list of customization options and additional capabilities, refer to the [Marketplace Pricing API Reference](/us-marketplace/reference/getrepricerfeed).

# Endpoint

```Text bash
POST https://marketplace.walmartapis.com/v3/repricerFeeds
```

# Sample request

This request unassigns an item from a repricer strategy . The JSON payload in the request body contains two main parts: `ItemFeedHeader` and` Item`. It aims to dynamically adjust the item's pricing strategy to match competitive prices within the specified price range.

* The `ItemFeedHeader` provides metadata about the feed, such as the processing mode (REPLACE), subset (EXTERNAL), marketplace (WALMART\_US), selling channel (repricerstrategy), version (1.1), and locale (en).
* The `Item` section sets the repricerStrategy to `No Strategy/Delete from Repricer`, indicating that the repricer strategy must be removed.

```Text cURL
curl -X POST \
  'https://marketplace.walmartapis.com/v3/repricerFeeds' \
  -H 'Content-Type: application/json' \
  -H 'WM_SEC.ACCESS_TOKEN: YOUR_ACCESS_TOKEN' \
  -H 'WM_QOS.CORRELATION_ID: YOUR_CORRELATION_ID' \
  -d '{
    "ItemFeedHeader": {
      "processMode": "REPLACE",
      "subset": "EXTERNAL",
      "mart": "WALMART_US",
      "sellingChannel": "repricerstrategy",
      "version": "1.1",
      "locale": "en"
    },
    "Item": [
      {
        "sku": "SKU_Item",
        "repricerStrategy": "No Strategy/Delete from Repricer"
      }
    ]
  }
  '
```
```Text Python
import requests

url = 'https://marketplace.walmartapis.com/v3/repricerFeeds'

headers = {
    'Content-Type': 'application/json',
    'WM_SEC.ACCESS_TOKEN': 'YOUR_ACCESS_TOKEN',
    'WM_QOS.CORRELATION_ID': 'YOUR_CORRELATION_ID'
}

payload = {
    "ItemFeedHeader": {
        "processMode": "REPLACE",
        "subset": "EXTERNAL",
        "mart": "WALMART_US",
        "sellingChannel": "repricerstrategy",
        "version": "1.1",
        "locale": "en"
    },
    "Item": [
        {
            "sku": "SKU_Item",
            "repricerStrategy": "No Strategy/Delete from Repricer"
        }
    ]
}

response = requests.post(url, headers=headers, json=payload)

print("Status Code:", response.status_code)
print("Response Body:", response.text)
```

## Modify your code

To unassign a different item, update the necessary parameters in the request to reflect the changes you want. For example, you can:

* Replace `WM_SEC.ACCESS_TOKEN` and `WM_QOS.CORRELATION_ID` with actual values.
* Choose a different `repricerStrategy`.
* Replace `SKU_Item` with the actual SKU of the item.

# Sample response

The response confirms that the feed submission was processed successfully, and the repricer strategy was applied to the item.

```Text JSON
{
  "feedId": "AFEE4EEC9C3541B6A7B58E694416EC82@AUoBAwA"
}
```

# Result

If successful, the API response returns a `feedID`.

You can use this feed ID with the [Feed Status API](/us-marketplace/reference/getfeeditemstatus) or [All Feed Statuses API](/us-marketplace/reference/getallfeedstatuses) to monitor the progress of your submission and show the line-item status.